Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236713 - returnLocalHeader() from yuminstall.py fails
Summary: returnLocalHeader() from yuminstall.py fails
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 6
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-17 08:54 UTC by Jasper O. Hartline
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-23 14:28:44 UTC


Attachments (Terms of Use)
anacdump.txt (deleted)
2007-04-17 13:22 UTC, Jason Farrell
no flags Details

Description Jasper O. Hartline 2007-04-17 08:54:01 UTC
Description of problem:
When running Anaconda from inside a LiveCD environment, during the actual
package installation phase returnLocalHeader() fails causing Anaconda to crash
with a message saying could not retrieve package header.

Version-Release number of selected component (if applicable):
anaconda-11.1.1.3-1

How reproducible:
Run Anaconda under a LiveCD environment.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
I will provide a CD image you can use to test this.
The URL for this disc image will be provided in my next reply.

Comment 1 Jasper O. Hartline 2007-04-17 12:07:29 UTC
Here is the LiveCD image I created which demonstrates this problem:
http://autopsy.liveprojects.info/CD/fc6.iso
http://autopsy.liveprojects.info/CD/SHA1SUM

It is 170MB.
Simply burn it to a CD, boot it, login as:
User: root
Password: livecd

Then execute:
kadischi ftp://mirror.colorado.edu/pub/fedora/linux/core/6/i386/os/

Simply follow the Anaconda installation procedure.
This demonstrated the failure with returnLocalHeader().

Comment 2 Jason Farrell 2007-04-17 13:22:11 UTC
Created attachment 152795 [details]
anacdump.txt

Reproduced in vmware.

Comment 3 Jonathan Steffan 2007-04-18 05:07:50 UTC
Reproduced in VMWare

http://files.damaestro.us/images/failure.png

Comment 5 Chris Lumens 2007-04-18 14:13:51 UTC
Is this reproducible with F7 test 3 or rawhide?

Comment 6 Jasper O. Hartline 2007-04-22 16:01:57 UTC
I just dove into rawhide and created a LiveCD, with Anaconda and Kadischi
installed with the package payload, and initiated the install operation, I do
not see any problems so far. Everything works good.

Partitioning, package selection, installation all are going great, as if it were
a stock installer disc.
I will go ahead and stress test the Anaconda in development and if I come across
any more issues I will open a new bug report.

Thank you guys for your time.

Comment 7 Chris Lumens 2007-04-23 14:28:44 UTC
Closing out on the basis of comment #6.  Thanks for the testing.


Note You need to log in before you can comment on or make changes to this bug.